/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package division

import (
	e "simrs-vx/internal/domain/main-entities/division"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.Division) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Code = inputSrc.Code
	data.Name = inputSrc.Name
	data.Parent_Code = inputSrc.Parent_Code
}
